%define upstream_name    Config-Model-OpenSsh
%define upstream_version 2.8.0.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    OpenSsh configuration files editor and API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

# for testsuite:

BuildRequires: perl(Carp)
BuildRequires: perl(Config::Model) >= 2.134.0
BuildRequires: perl(Config::Model::Backend::Any)
BuildRequires: perl(Config::Model::BackendMgr)
BuildRequires: perl(Config::Model::Tester) >= 4.1.0
BuildRequires: perl(Config::Model::Tester::Setup)
BuildRequires: perl(English)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Path)
BuildRequires: perl(IO::File)
BuildRequires: perl(Log::Log4perl) >= 1.110.0
BuildRequires: perl(Module::Build) >= 0.340.0
BuildRequires: perl(Mouse)
BuildRequires: perl(Mouse::Role)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.0.0
BuildRequires: perl(Test::Warn)
BuildArch:  noarch

%description
This module provides a configuration model for OpenSsh. Then Config::Model
provides a graphical editor program for _/etc/ssh/sshd_config_ and
_/etc/ssh/ssh_config_. See the config-edit-sshd manpage and the
config-edit-ssh manpage for more help.

This module and Config::Model can also be used to modify safely the content
for _/etc/ssh/sshd_config_, _/etc/ssh/ssh_config_ or _~/.ssh/config_ from
Perl programs.

Once this module is installed, you can run (as root, but please backup
/etc/X11/xorg.conf before):

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Config

%changelog
* Sun Feb 16 2020 umeabot <umeabot> 2.8.0.1-2.mga8
+ Revision: 1531144
- Mageia 8 Mass Rebuild

* Tue Sep 10 2019 tv <tv> 2.8.0.1-1.mga8
+ Revision: 1439261
- update to 2.8.0.1

* Sun Jun 30 2019 tv <tv> 2.7.9.2-1.mga8
+ Revision: 1416284
- update to 2.7.9.2

* Sun Dec 02 2018 tv <tv> 1.241.0-1.mga7
+ Revision: 1337384
- update to 1.241

* Sat Dec 01 2018 tv <tv> 1.240.0-1.mga7
+ Revision: 1336991
- update to 1.240

* Thu Sep 20 2018 umeabot <umeabot> 1.239.0-2.mga7
+ Revision: 1282409
- Mageia 7 Mass Rebuild

* Thu May 10 2018 shlomif <shlomif> 1.239.0-1.mga7
+ Revision: 1228152
- update to 1.239

* Tue Oct 24 2017 shlomif <shlomif> 1.238.0-1.mga7
+ Revision: 1173336
- update to 1.238

* Sat Jun 18 2016 pterjan <pterjan> 1.237.0-2.mga6
+ Revision: 1024303
- Rebuild for perl 5.22.2

* Fri Apr 22 2016 tv <tv> 1.237.0-1.mga6
+ Revision: 1004680
- add BRs for testsuite
- new release

* Fri Feb 19 2016 umeabot <umeabot> 1.236.0-5.mga6
+ Revision: 969241
- Mageia 6 Mass Rebuild

* Sat Aug 15 2015 sander85 <sander85> 1.236.0-4.mga6
+ Revision: 864998
- Fix BRs
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri May 23 2014 sander85 <sander85> 1.236.0-1.mga5
+ Revision: 625131
- update to 1.236

* Tue Apr 15 2014 jquelin <jquelin> 1.235.0-1.mga5
+ Revision: 614659
- update to 1.235

* Mon Mar 03 2014 jquelin <jquelin> 1.234.0-1.mga5
+ Revision: 598702
- update to 1.234

* Mon Feb 17 2014 jquelin <jquelin> 1.233.0-1.mga5
+ Revision: 593589
- update to 1.233

* Mon Feb 10 2014 sander85 <sander85> 1.232.0-1.mga5
+ Revision: 588191
- update to 1.232

* Mon Dec 23 2013 umeabot <umeabot> 1.230.0-3.mga4
+ Revision: 560084
- Mageia 4 Mass Rebuild

* Thu Aug 29 2013 sander85 <sander85> 1.230.0-1.mga4
+ Revision: 473009
- update to 1.230

* Fri Jun 07 2013 jquelin <jquelin> 1.227.0-1.mga4
+ Revision: 438895
- update to 1.227

* Sun Jan 13 2013 umeabot <umeabot> 1.226.0-2.mga3
+ Revision: 364699
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.226.0-1.mga3
+ Revision: 341969
- update to 1.226

* Tue Nov 06 2012 jquelin <jquelin> 1.225.0-1.mga3
+ Revision: 314867
- update to 1.225

* Thu Jul 05 2012 jquelin <jquelin> 1.224.0-1.mga3
+ Revision: 268151
- update to 1.224
- adding missing buildrequires:
- adding missing buildrequires:
- adding missing buildrequires:
- update to 1.220

* Fri Dec 09 2011 kharec <kharec> 1.219.0-1.mga2
+ Revision: 179416
- update to 1.219
+ jquelin <jquelin>
- update to 1.218

* Wed Jun 15 2011 jquelin <jquelin> 1.217.0-1.mga2
+ Revision: 106542
- update to 1.217

* Mon Apr 11 2011 jquelin <jquelin> 1.216.0-1.mga1
+ Revision: 83345
- update to 1.216
- update to 1.215

* Wed Mar 09 2011 jquelin <jquelin> 1.214.0-1.mga1
+ Revision: 66932
- update to 1.214

* Wed Mar 02 2011 jquelin <jquelin> 1.213.0-1.mga1
+ Revision: 62528
- update to 1.213

* Sat Feb 26 2011 jquelin <jquelin> 1.212.0-1.mga1
+ Revision: 60672
- update to 1.212
- mageia rebuild
- imported package perl-Config-Model-OpenSsh

